<?php
/***************************************
  Show Kp history of 30 days or more
 Data source: ftp://ftp.swpc.noaa.gov/pub/indices/old_indices/2017Q3_DGD.txt
  
***************************************/
define ("DBG", 0);

include_once (__DIR__ ."/include/myauroravar.php");
if(DBG)
	define ("fPath", __DIR__ ."/test/");
else
	define ("fPath", "ftp://ftp.swpc.noaa.gov/pub/indices/old_indices/");
define ("fName","2017Q3_DGD.txt");

// Set the content-type
//header('Content-Type: image/png');

define ("FONT8SEG", __DIR__ ."/include/Segment7Standard.otf");
define ("FONTTEXT", __DIR__ ."/include/segmono_boot.ttf");
define ("REFX",10);	//offset 13
define ("REFY",10);	//ofset 13
define ("CW",1500);
define ("CH",60);
define ("PPH", 2);		// 2px/hour， 6px/sector
define ("PPK", 5);		//
define ("WW", 30*24*PPH);
define ("WH", 10*PPK);
define ("FH", 0);		//frame H width
define ("FW", 0);		//frame V width
define ("HTXT", 0);		//frame H width

define ("FTH", 32);		//Frame Top Height
define ("FBH", 32);		//Frame Bottom Height
define ("FLW", 20);		//Frame Left Width
define ("FRW", 20);		//Frame Right Width
if(DBG){
	$lat=$locinfo[$locID][2];
	$lon=$locinfo[$locID][3];
	echo "$locID lat: $lat  lon: $lon";		//debug
}
$timezone=$locinfo[$locID][5];

date_default_timezone_set($timezone);
//$TZ=idate('Z')/3600;
//$tm=date("Y-m-d H:i", time());
//echo "<h1> $tm 观赏点: $locID <br>";

$json=file_get_contents ($kpPath ."/kpData.json");
$kpdata=json_decode($json, true);


/* Sun infomaition
About brightness of twilight
http://iopscience.iop.org/article/10.1088/1742-6596/771/1/012033/pdf
*/	
if(DBG) $kp72h['ftime']=gmmktime(0,0,0,4,13,2017);
$tm=$kp72h['ftime'];
if(DBG) echo "<br>UTC: " .gmdate("Y-m-d H:i:s", $tm);

$sun_info = date_sun_info($tm, $lati, $long);
$sInfo=skyLight3Days($tm, $lati, $long);
/*  Make twilight sequences by time */

imagepng($im, "kp/daykp.png");
imagedestroy($im);
if(DBG) echo  '<br> <img src="kp/daykp.png"  style="width:100%" /> <br>';		//test

//echo  '<img src="kp/threeDays.png" width=100% /> ';		//test
//echo  '<br> <img src="kp/day1.png"  /> ';		//test
//echo  '<br> <img src="kp/day2.png" style="width:100%" /> ';		//test
//echo  '<br> <img src="kp/day3.png" style="width:100%" /> <br>';		//test

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//

/*=======================================================*/
function cutTo3days($im, $locID)
{
	
}
/*-------------------------------------------------------*/

?>