<?php
/***************************************
  Show AuroraCalendar by precreated png file
  Refresh page in HTML to run update
***************************************/

include_once "include/myauroravar.php";
// Set the content-type
//header('Content-Type: image/png');
session_start(); 
$locID=$_SESSION['loc'];
//$locID="Vancouver";		//vancouver
$timezone=$locinfo[$locID][5];
showCalendar($timezone);
echo '<br> <img src="kp/ac.png" width=100% height=50% /> <br>';		//test


/*  ==============================================
functions
*/
function showCalendar($timezone){
	date_default_timezone_set($timezone);
	$json=file_get_contents ("kp/kpData.json");
	$kpdata=json_decode($json, true);
	//var_dump($kpdata);
	$kp72h=$kpdata['kp72h'];
	$kp45d=$kpdata['kp45d'];
	$kpStatus=$kpdata['kpStatus'];
	//read kp & infomaition
	$fn=$kpStatus['kpfile'];
	$font = 'Arial_Black_Regular.ttf';	//current folder
	$fn=$kpStatus['calendarFile'];
	$im=imagecreatefrompng($fn);
	// erase issue date
	define ("REFX",18);	//offset 13
	define ("REFY",202);	//ofset 13
	define ("CW",62);
	define ("CH",61);
	// Create some colors
	$white = imagecolorallocate($im, 255, 255, 255);
	$grey = imagecolorallocate($im, 128, 128, 128);
	$black = imagecolorallocate($im, 0, 0, 0);
		
	$x1=256;
	$y1=28;
	$cbg1=imagecolorallocate ($im ,38 ,38 ,38); //date of update, background color RGB(38,38,38)
	imagefilledrectangle ($im ,$x1, $y1, $x1+120, $y1+40 ,$cbg1);
	// Show issue date
	$itime=$kp45d['itime'];
	$dd=date("Y/m/d",$itime) ;     //locate time of update, background color RGB(38,38,38)
	$dt=date("H:i T",$itime) ; 

	imagettftext($im, 12, 00, REFX+CW*4+5, REFY-CH*2-34, $grey, $font, $dd);
	imagettftext($im, 12, 00, REFX+CW*4+5, REFY-CH*2-16, $grey, $font, $dt);

	imagepng($im, "kp/ac.png");
//	imagepng($im);
	imagedestroy($im);
}
?>