<?php 
/* 
	filename: "/exdiy/djgnoaa/noaadata.txt"
l00:# NOAA DATA READY
l01:#.01 3day							//ISO8601 data format YYMMDD HHMMUTC
l02:#.02 45day Utime(c16) Itime(c40)
l03-l15: reserved
l17:# 01 Kp[72]				// 72hours Kp
l18:# 02 KAp[45]			//45 days Ap->Kp
*/

header('Content-type: text/plain');


//echo '<span style="color:#ccc;text-align:left;font-size:14px">';
$file3day="http://services.swpc.noaa.gov/text/3-day-forecast.txt"; 
$file45day="http://services.swpc.noaa.gov/text/45-day-ap-forecast.txt"; 
$noaadata="/exdiy/djgnoaa/noaadata.txt";

//1. open 3-day files
get3day();

// read 3 day data, 
function get3day(){
	
}

$kp72=array();
$kap45=array();

//check saved data
$renew=TRUE;
if (file_exists($noaadata)){
	$lines = file($noaadata);
	rfile($array,$lines);		//read file to $array
	$utime3=strtotime (substr(array[1],16,20));
	$itime3=strtotime (substr(array[1],40,20));
	for($i=0;i<72;i++){
		$kp72[$i]=intval(substr(array[16],i+6,1));
	for($i=0;i<45;i++){
		$kap45[$i]=intval(substr(array[17],i+6,1));
	}
	set3daydata()；
}
else {
	$handle = fopen($noaadata, "x+");	//create r/w
	
}

function set3daydata(){
	gloabal $array, $lines;
	$lines = file($file3dy);
	rfile($array,$lines)
	
}

$array="";
$lines = file($file3dy);
rfile($array,$lines);

function rfile($array,$lines){
	$i=0;
	foreach($lines as $line) {
		 $line = rtrim($line);
		 $array[$i]=$line;
		 $i++;
	}
	
}
	

printf("%s   %s  %s  %s<br>",substr($array[13],0,5), substr($array[13],12,7), substr($array[13],23,7), substr($array[13],34,7));

for ($i=14;$i<22;$i++){
	outrow($array[$i]);
} 
echo '</pre>';
echo '</span>';
	
?>