<?php 
header('Content-type: text/html');

include ("../djgplot/djg_3day/nightkp.php");
date_default_timezone_set('America/Los_Angeles');

echo '<span style="color:#ccc;text-align:left;font-size:14px">';

$file="3-day-forecast.txt";		//test
$file="http://services.swpc.noaa.gov/text/3-day-forecast.txt";
$lines = file($file);

$i=0;
$array="";
foreach($lines as $line) {
 $line = rtrim($line);
 $array[$i]=$line;
 $i++;
}

$kp3days=array("");
$kp1day=array();
//get issue time
$s=substr($array[1],9,4).'-'.substr($array[1],14,3).'-'.substr($array[1],18,2).' '.substr($array[1],21,2).':'.substr($array[1],23,2);
//echo $s;
$l_issuetime=strtotime($s)+date('Z');		//To local
$istime=getdate($l_issuetime);

//print_r(date_parse(substr($array[1],9,16)));
echo '更新：'.date("Ymd Hi",$l_issuetime).'PDT';
//get startdate
 //strtotime(substr($array[13],12,6))
$sttime=date_parse(substr($array[13],12,6));

$sttime["year"]=$istime["year"];		//
$i_sttime=mktime(0,0,0,$sttime["month"],$sttime["day"],$sttime["year"]);
// End of year issue
if(($i_sttime-$l_issuetime)>35*86400){
	$sttime["year"]--;		//last year
	$i_sttime=mktime(0,0,0,$sttime["month"],$sttime["day"],$sttime["year"]);
}
else if(($l_issuetime-$i_sttime)>35*86400){
	$sttime["year"]++;		//next year
	$i_sttime=mktime(0,0,0,$sttime["month"],$sttime["day"],$sttime["year"]);
}
echo '<br>';
echo 'STIME '.date("Ymd Hi",$i_sttime);
//echo '<br>start time:'.date("Y.m.d H:i",$i_sttime);


// step 1. store all to $kp3=array[72],start from $stime

$j=0;
$kp3="";
echo '<br>';
// day 1
for ($i=0;$i<8;$i++){
	$j=substr($array[14+$i],15,1);
	$kp3 .=$j;
	$kp3 .=$j;
	$kp3 .=$j;
}
//day 2
for ($i=0;$i<8;$i++){
	$j=substr($array[14+$i],26,1);
	$kp3 .=$j;
	$kp3 .=$j;
	$kp3 .=$j;
}
//day 3
for ($i=0;$i<8;$i++){
	$j=substr($array[14+$i],37,1);
	$kp3 .=$j;
	$kp3 .=$j;
	$kp3 .=$j;
}

/* create 3-day kp array by local hour 16:00-8:00
PDT time start from 17:00
*/

//start time ->local time
$l_sttime=$i_sttime+date('Z');
//echo "<br> local start time".  date("Ymd H",$l_sttime);		//debug
$i=getdate($l_sttime);
$i= $i['hours'];
$j=0;
if($i>16){
	for($k=0;$k<$i-16;$k++)
		$kp1day[$k]=0;
		$j++;
}
for(;$j<16;$j++)
		$kp1day[$k]=intval($kp3[$j]);
	
//plot day 1
KpNightPlot($kp1day,$l_sttime,1);
echo '<img src="/exdiy/djgplot/djg_3day/nightkp1.png" > ';


//echo date('T');		//x show PDT 

//make day 1, local time today 16:00
/* debug 
$row= "<br>\n";
echo $kp3.'<br>';

echo $row;

echo '<pre>'; //keep blank space.
printf("%s   %s  %s  %s<br>",substr($array[13],0,5), substr($array[13],12,7), substr($array[13],23,7), substr($array[13],34,7));
for ($i=14;$i<22;$i++){
	outrow($array[$i]);
} 
*/

echo '</pre>';
echo '</span>';
	
?>