<?php 
header('Content-type: text/html');
date_default_timezone_set('America/Los_Angeles');

echo '<span style="color:#ccc;text-align:left;font-size:14px">';

$file="3-day-forecast.txt";		//test
$file="http://services.swpc.noaa.gov/text/3-day-forecast.txt";
$lines = file($file);

$i=0;
$array="";
foreach($lines as $line) {
 $line = rtrim($line);
 $array[$i]=$line;
 $i++;
}
	
function outrow($sin){
	 printf("%s %s %s %s<br>",substr($sin,0,8), substr($sin,15,8), substr($sin,26,8), substr($sin,37,8));
}

$kp3days=array("");
//get issue time
$s=substr($array[1],9,4).'-'.substr($array[1],14,3).'-'.substr($array[1],18,2).' '.substr($array[1],21,2).':'.substr($array[1],23,2);
//echo $s;
$i_issuetime=strtotime($s)+date('Z');		//UTC
$istime=getdate($i_issuetime);

//print_r(date_parse(substr($array[1],9,16)));
echo date("更新时间：Y.m.d H:i z",$i_issuetime+date('Z'));
//get startdate
 //strtotime(substr($array[13],12,6))
$sttime=date_parse(substr($array[13],12,6));

$sttime["year"]=$istime["year"];		
$i_sttime=mktime(0,0,0,$sttime["month"],$sttime["day"],$sttime["year"]);
// End of year issue
if(($i_sttime-$i_issuetime)>35*86400){
	$sttime["year"]--;		//last year
	$i_sttime=mktime(0,0,0,$sttime["month"],$sttime["day"],$sttime["year"]);
}
else if(($i_issuetime-$i_sttime)>35*86400){
	$sttime["year"]++;		//next year
	$i_sttime=mktime(0,0,0,$sttime["month"],$sttime["day"],$sttime["year"]);
}

//echo '<br>start time:'.date("Y.m.d H:i",$i_sttime);
/* create 3-day kp array by local hour 16:00-8:00
*/
// step 1. store all to $kp3=array[24]

$j=0;
// day 1
for ($i=0;$i<8;$i++){
	$kp3[$j++]=intval(substr($array[14+$i],15,1));
}
//day 2
for ($i=0;$i<8;$i++){
	$kp3[$j++]=intval(substr($array[14+$i],26,1));
}
//day 3
for ($i=0;$i<8;$i++){
	$kp3[$j++]=intval(substr($array[14+$i],37,1));
}

$row= "<br>\n";
echo $row;
for ($i=0;$i<8;$i++)
{
	$row .="<br>\n";
	$row .=(string)$kp3[$i];
	$row .="  ";
	$row .=(string)$kp3[$i+8];
	$row .="  ";
	$row .=(string)$kp3[$i+16];
	}
$row .="<br>\n";
$save=FALSE;
if($save){		//创建文件的必要性：如果输出图片，检查创建的较小文本文件决定是否更新图片，减少服务器负担。
$kp3file=fopen("kp3day.txt","w") or die("unable to open");
fwrite($kp3file,"Issue time：<br>\n".date("Y.m.d H:i",$i_issuetime)." UTC<br>\n"); 
fwrite($kp3file,"Begin time：<br>\n".date("Y.m.d H:i",$i_sttime). " UTC<br>\n"); 
fwrite($kp3file,"This time：<br>\n".date("Y.m.d H:i:s",time()). "  PST<br>\n"); 
fwrite($kp3file,$row); 
fclose($kp3file);
//print_r($sttime);
}
else echo $row;
echo '<pre>'; //keep blank space.
printf("%s   %s  %s  %s<br>",substr($array[13],0,5), substr($array[13],12,7), substr($array[13],23,7), substr($array[13],34,7));
for ($i=14;$i<22;$i++){
	outrow($array[$i]);
} 

echo '</pre>';
echo '</span>';
	
?>