<?php 
header('Content-type: text/html');

include ("nightkp.php");
date_default_timezone_set('America/Los_Angeles');

echo '<span style="color:#ccc;text-align:left;font-size:14px">';

$file="3-day-forecast.txt";		//test
$file="http://services.swpc.noaa.gov/text/3-day-forecast.txt";
$lines = file($file);

$i=0;
$array="";
foreach($lines as $line) {
 $line = rtrim($line);
 $array[$i]=$line;
 $i++;
}

$kp3days=array("");
$kpday1=array();
//get issue time
$s=substr($array[1],9,4).'-'.substr($array[1],14,3).'-'.substr($array[1],18,2).' '.substr($array[1],21,2).':'.substr($array[1],23,2);
//echo $s;
$l_issuetime=strtotime($s)+date('Z');		//To local
$istime=getdate($l_issuetime);

//print_r(date_parse(substr($array[1],9,16)));
//get startdate
 //strtotime(substr($array[13],12,6))
$sttime=date_parse(substr($array[13],12,6));

$sttime["year"]=$istime["year"];		//
$i_sttime=mktime(0,0,0,$sttime["month"],$sttime["day"],$sttime["year"]);
// End of year issue
if(($i_sttime-$l_issuetime)>35*86400){
	$sttime["year"]--;		//last year
	$i_sttime=mktime(0,0,0,$sttime["month"],$sttime["day"],$sttime["year"]);
}
else if(($l_issuetime-$i_sttime)>35*86400){
	$sttime["year"]++;		//next year
	$i_sttime=mktime(0,0,0,$sttime["month"],$sttime["day"],$sttime["year"]);
}
//echo 'STIME '.date("Ymd Hi",$i_sttime);
//echo '<br>start time:'.date("Y.m.d H:i",$i_sttime);


// step 1. store all to $kp3=array[72],start from $stime

$kp3="";
// day 1
for ($i=0;$i<8;$i++){
	$j=substr($array[14+$i],15,1);
	$kp3 .=$j;
	$kp3 .=$j;
	$kp3 .=$j;
}
//day 2
for ($i=0;$i<8;$i++){
	$j=substr($array[14+$i],26,1);
	$kp3 .=$j;
	$kp3 .=$j;
	$kp3 .=$j;
}
//day 3
for ($i=0;$i<8;$i++){
	$j=substr($array[14+$i],37,1);
	$kp3 .=$j;
	$kp3 .=$j;
	$kp3 .=$j;
}

/* create 3-day kp array by local hour 16:00-8:00
PDT time start from 17:00
*/

//start time ->local time
$l_sttime=$i_sttime+date('Z');
//echo "<br> local start time".  date("Ymd H",$l_sttime);		//debug
$i=getdate($l_sttime);
$i= $i['hours'];
$j=0;
$h=0;
if($i>16){
	$h=$i-16;
	for($j=0;$j<$h;$j++)
		$kpday1[$j]=0;
}
$k=0;
for(;$j<17;$j++)
		$kpday1[$j]=intval($kp3[$k++]);
	
//$kpday1[$j]=0;		//extra for X axis display gap
//plot day 1
KpNightPlot($kpday1,$l_sttime,1);
//plot day 2
for($j=0;$j<17;$j++)
		$kpday1[$j]=intval($kp3[24-$h+$j]);
//$kpday1[$j]=0;
KpNightPlot($kpday1,$l_sttime+86400,2);
//plot day 3
for($j=0;$j<17;$j++)
		$kpday1[$j]=intval($kp3[48-$h+$j]);
//$kpday1[$j]=0;
KpNightPlot($kpday1,$l_sttime+2*86400,3);


echo '<img src="/exdiy/djgplot/djg_3day/nightkp1.png" > <br>';
echo '<img src="/exdiy/djgplot/djg_3day/nightkp2.png" > <br>';
echo '<img src="/exdiy/djgplot/djg_3day/nightkp3.png" > <br>';
echo ' 更新：'.date("Y/m/d H:i",$l_issuetime).date('T');


//echo date('T');		//x show PDT 

//make day 1, local time today 16:00
/* debug 
$row= "<br>\n";
echo $kp3.'<br>';

echo $row;

echo '<pre>'; //keep blank space.
printf("%s   %s  %s  %s<br>",substr($array[13],0,5), substr($array[13],12,7), substr($array[13],23,7), substr($array[13],34,7));
for ($i=14;$i<22;$i++){
	outrow($array[$i]);
} 
*/

echo '</pre>';
echo '</span>';
	
?>