<?php 
/* Kp and Ap  http://www.ngdc.noaa.gov/stp/GEOMAG/kp_ap.html
    Kp = 0o     0+   1-   1o   1+   2-   2o 2  2+ 2+ 2+ 3-   3o   3+   4-   4o   4+
	ap =  0  1  2    3    4    5    6    7  8  9  10 11 12   15   18   22   27   32

	Kp = 5-   5o   5+   6-   6o   6+   7-   7o   7+   8-   8o   8+   9-   9o
	ap = 39   48   56   67   80   94  111  132  154  179  207  236  300  400
https://www.spaceweatherlive.com/en/auroral-activity/aurora-forecast
high latitude and middle
*/

header('Content-type: text/html');
//        0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25
$kp=array(0,0,1,1,1,2,2,2,3,3,4, 4, 4, 4, 4, 5,5,5);
echo '<pre><div style="text-align:center;width:250px;height:130px;font-size:12px"> '; // <pre> keep blank space.
//echo date('Y-m-d H:i:s \n');
//printf ("%d \n", time());
//echo '<span style="color:red">这是红色的字</span>';
$file="http://services.swpc.noaa.gov/text/45-day-ap-forecast.txt";
//$file="http://dajiguang.com/exdiy/45-day-ap-forecast.txt";
$lines = file($file);

$i=0;
$array="";
foreach($lines as $line) {
 $line = rtrim($line);
 $array[$i]=$line;
 $i++;
}

$d=0;
$ap=array();
//	echo date('m/d   ',$t);

function GetRowData($sin){
	global $kp,$ap,$d;
	$ap[$d++]=intval(substr($sin,8,3));
	$ap[$d++]=intval(substr($sin,21,3));
	$ap[$d++]=intval(substr($sin,33,3));
	$ap[$d++]=intval(substr($sin,45,3));
	$ap[$d++]=intval(substr($sin,57,3));
}


function Ap2Kp(){
	global $ap,$kp,$a1;
	for ($i=0;$i<30;$i++){
		$k=$ap[$i];
		if($k>=15) $k=15;
		$ap[$i]=$kp[$k];
		if($ap[$i]>3) $a1++;
  }
}

function prRow($j){
	global $ap,$d;
	for($i=0;$i<5;$i++){
		$k=$ap[$d];
		if($k>4){
			echo '<span style="color:red">';
		}
		else if ($k>3) {
				echo '<span style="color:#ff8000">';	//oringe
		}
		else{
			echo '<span style="color:#ccc">';
		}
		echo date("m/d=",$j+$i*86400);
	
		printf("%d ",$k);
		echo '</span>';
		$d++;
	}
	echo'<br>';
}
//-------------- run -----------//
//start date
$date1=strtotime(substr($array[10],0,7));
  
//Get 30 days data to ap$[]
$d=0;
for ($i=10;$i<19;$i++){
    GetRowData($array[$i]);
}
// convert ap to kp
$a1=0;
Ap2Kp();
//print_r($ap);
//-------------- Display data --------------//

//display 30 day kp
//$a1=0; test
if($a1){
	echo '<span style="color:#ff8000">';
	printf("未来30天内极光活跃天数：%d天 <br>",$a1);
	echo '</span> <span style="color:#ccc">';
	echo '请关注以下日期：';
}
else {
	echo '<span style="color:#ccc">';
	echo '预计未来30天内极光不活跃<br>';
}
echo '<br>';
$d=0;
for($j=0;$j<6;$j++){
//	echo date("m/d ",$date1+$j*86400);
	prRow($j*5*86400+$date1);
//	$date1+=5*86400;
}

//-------------- Display storm alert --------------//

echo ("<br>");
echo '</div></pre>';


	
?>