<?php
header("Content-type: image/png");

$font = 'Arial_Black_Regular.ttf';
// create a blank image
define ("PW",800);
define ("PH",800);
$cx=PW/2;
$cy=PH/2;

$im = @imagecreatetruecolor(PW, PH);

$ckp=array(0,1,2,3,4,5,6,7,8,9) ;
$ckp[0]=imagecolorallocate($im, 242, 242, 242);
$ckp[1]=imagecolorallocate($im, 217, 217, 217);
$ckp[2]=imagecolorallocate($im, 191, 191, 191);
$ckp[3]=imagecolorallocate($im, 0, 176, 80);
$ckp[4]=imagecolorallocate($im, 255, 192, 0);
$ckp[5]=imagecolorallocate($im, 255, 0, 0);
$ckp[6]=imagecolorallocate($im, 255, 128, 128);
$ckp[7]=imagecolorallocate($im, 255, 0, 255);
$ckp[8]=imagecolorallocate($im, 148, 0, 212);
$ckp[9]=imagecolorallocate($im, 96, 0, 96);

// fill the background color
$bg = imagecolorallocate($im, 63, 63, 63);
$lightgrey = imagecolorallocate($im, 127, 127, 127);
// choose a color for the ellipse
$colfill = imagecolorallocate($im, 0, 0, 63);
imageantialias ($im, TRUE);
imagefilledrectangle ($im, 0, 0, PW-1, PH-1, $bg);
// draw the white ellipse
imagefilledellipse($im, $cx, $cy, PW-20, PH-20, $lightgrey);
imagefilledellipse($im, $cx, $cy, PW-100, PH-100, $colfill);
imagettftext($im, 18, 00, 14, 26, $ckp[1], $font, '45');

$arcw=5;
imagesetthickness ($im, $arcw);
imagearc ($im, $cx, $cy, PW-100, PH-100, 30, 60, $ckp[5]	 );
//imagefilledellipse ($im, $cx, $cy, 220-$arcw, 220-$arcw, $ckp[1] );

$im1=@imagecreatetruecolor(200,200);
// output the picture
imagecopyresampled($im1, $im, 0,0,0,0, 200, 200, PW, PH);
imagepng($im);

 define ("WINW",240);
 define ("WINH",92);
 define  ("TWR", 30);	//twilight bright
 define  ("TWG", 30);	//twilight bright
 define  ("TWB", 240);	//twilight bright
define ("INH",20);
define ("INV",20);
// Draw area=frame=gradient
define ("FRW",200);
define ("FRH",50);
/* Create and populate the pData object */ 
//$data=array(1,6,6,6,3,3,3,9,0,7,5,5,5,7,7,7);

//$time=time();
//KpNightPlot($data,$time,2);
function KpClockPlot($data,$time,$day){
for($i=0;$i<17;$i++){		//add 1 item
	if($data[$i]==0){
		$Palette[$i]=array("R"=>0,"G"=>0,"B"=>0,"Alpha"=>0);	//black
	} 
	else if($data[$i]>5){
		$Palette[$i]=array("R"=>102,"G"=>0,"B"=>255,"Alpha"=>100);	//purple
	}

	else if($data[$i]>4){
		$Palette[$i]=array("R"=>255,"G"=>0,"B"=>0,"Alpha"=>100);	//red
	}
	else if($data[$i]>3){
		$Palette[$i]=array("R"=>255,"G"=>200,"B"=>0,"Alpha"=>100);	//orange
	}
	else if($data[$i]>2){
		$Palette[$i]=array("R"=>0,"G"=>250,"B"=>0,"Alpha"=>90);	//green
	}
	else $Palette[$i]=array("R"=>200,"G"=>200,"B"=>200,"Alpha"=>80);	//green
}
}
?>