<?php

//echo "<body style='background-color:pink'>";
$im   = imagecreatetruecolor(640, 640);
$bg = imagecolorallocatealpha($im, 100, 100, 100, 0);
$red=imagecolorallocatealpha($im, 255, 0, 0, 0);
$black=imagecolorallocatealpha($im, 0, 0, 0, 0);
$white=imagecolorallocatealpha($im, 255, 255, 255, 0);
$bg=$black;
imagecolortransparent($im, $bg);
imagefill($im,0, 0, $red);
$r0=254;
$g0=254;
$b0=254;
$r1=0;
$g1=0;
$g2=0x3f;
$step=2;
/* good in 254 stages to blue
$gcolor=[
//				R    G   B
	"begin" => [254,254,254],
	"end" =>[0,0,63],
	"step" =>[1,1,2],
];
*/

// for 90deg
$gcolor=[
//				R    G   B
	"begin" => [254,254,254],
	"end" =>[1,1,11]	,
	"step" =>[2.2, 2.2, 1],
];


fillGradientArc($im, -30,90, $gcolor);
/*  据等腰三角形的底边长河高求外接圆直径。
 $d  底边长
 $h:  高
 圆心到两底的扇形张角：
  asin(($d/2)/$r) (弧度)
	弧度*57.3=度
	*/
function TwoDotToCircle($d, $h)
{
	$xi=$d/2;
	$alf=atan($xi/$h);
	$l=$h / cos($alf);
	$l /=2;
	$r=$l/cos($alf);
	return $r;
}

$a1x=-40;
$a2x=500;
$h=100;
$d=$a2x-$a1x;
$r=TwoDotToCircle($d, $h);
$a=asin(($d/2)/$r);
$a=$a*57.3;
$a=round($a,0);
echo "alfa= $a";

$cx=($a1x+$a2x)/2;
$y0=400;
$black=imagecolorallocatealpha($im, 01, 01, 01, 0);

imagerectangle($im, $a1x, $y0, $a1x+4, $y0+4, $black);
imagerectangle($im, $a2x, $y0, $a2x+4, $y0+4, $black);
imagerectangle($im, $cx, $y0-$h, $cx+4, $y0-$h+4, $black);
imagearc($im, $cx, $y0-$h+$r,$r*2-1, $r*2-1, 270-$a, 270+$a, $black);
imagearc($im, $cx, $y0-$h+$r,$r*2-2, $r*2-2, 270-$a, 270+$a, $black);
imagearc($im, $cx, $y0-$h+$r,$r*2, $r*2, 270-$a, 270+$a, $black);

//draw 3 dots

$a=60; 	//degree


imagearc ($im, 300, 720, 500, 500, 270-$a, 270+$a, $white);


//fillGradientRec($im, $gcolor);

//imagesavealpha($im, TRUE); // it took me a good 10 minutes to figure this part out
header("Content-type: image/jpeg");
//ob_start();
imagepng($im, "clock.png");
echo  '<br> <img src="clock.png"> <br>';		//test

//$imgData=ob_get_clean();
 //       imagedestroy($im);
        //Echo the data inline in an img tag:
 //       echo '<img src="data:image/png;base64,'.base64_encode($imgData).' />';
//ob_end_flush();
imagedestroy($im);
header("Content-type: text/html");
echo "<br>  r= $r";
for ($i=0; $i<100;$i++);
	echo ' <br> end';

/* 
start color: white
end color: dark blue
*/
function fillGradientArc($im, $deg0, $deg, $gcolor){
	global $bg;
	$r=$gcolor["begin"][0];
	$g=$gcolor["begin"][1];
	$b=$gcolor["begin"][2];
	
	for ($x=0; $x<$deg; $x++){
		if($r>$gcolor["end"][0]) $r-=$gcolor["step"][0];
		if($g>$gcolor["end"][1]) $g-=$gcolor["step"][1];
		if($b>$gcolor["end"][2]) $b-=$gcolor["step"][2];
		$color=imagecolorallocatealpha($im, $r, $g, $b, 0);
		imagefilledarc ($im, 300, 300, 400, 400, $deg0+$x, $deg0+$x+1, $color, IMG_ARC_EDGED);
	}
	imagefilledarc ($im, 300, 300, 300, 300, $deg0, $deg0+$deg+1, $bg, IMG_ARC_EDGED);

}

/* 
start color: white
end color: dark blue
*/
function fillArc($im, $deg0, $deg, $gcolor){
	global $bg;
	$r=$gcolor["begin"][0];
	$g=$gcolor["begin"][1];
	$b=$gcolor["begin"][2];
	
	for ($x=0; $x<$deg; $x++){
		if($r>$gcolor["end"][0]) $r-=$gcolor["step"][0];
		if($g>$gcolor["end"][1]) $g-=$gcolor["step"][1];
		if($b>$gcolor["end"][2]) $b-=$gcolor["step"][2];
		$color=imagecolorallocatealpha($im, $r, $g, $b, 0);
		imagefilledarc ($im, 300, 300, 400, 400, $deg0+$x, $deg0+$x+1, $color, IMG_ARC_EDGED);
	}
	imagefilledarc ($im, 300, 300, 300, 300, $deg0, $deg0+$deg, $bg, IMG_ARC_EDGED);

}

/* 
start color: white
end color: dark blue
*/
function fillGradientRec($im, $step){
	global $r0, $g0, $b0;
	for ($x=0;$x<254;$x++){
		if($r0)
			$r0-=$step;
		if($g0)
			$g0-=$step;
		if($b0>0)
			$b0-=1;
		$color=imagecolorallocatealpha($im, $r0, $g0, $b0, 0);
		for($y=0;$y<254;$y++){
			imagefilledrectangle($im,$x,0, $x, $y, $color);
		
		}
	}
}	

?>
